For the complete documentation index, see llms.txt. This page is also available as Markdown.

Graphs

Get resource graph

get

Retrieves a graph of relations for a given resource, enriched with names and versions.

Path parameters
resource_idintegerRequired

ID of the root resource

Query parameters
typestring · enumRequired

Type of the root resource (business_concept, ingest, data_structure)

Possible values:
Responses
200

OK

application/json

Graph data containing nodes and edges

get/api/relations/{resource_id}/graph
GET /api/relations/{resource_id}/graph?type=business_concept HTTP/1.1
Accept: */*
{
  "data": {
    "edges": [
      {
        "id": 1,
        "source_id": "business_concept:123",
        "tag": {
          "id": 1,
          "value": {
            "target_type": "business_concept",
            "type": "some_type"
          }
        },
        "tags": [
          {
            "id": 1,
            "value": {
              "target_type": "business_concept",
              "type": "some_type"
            }
          }
        ],
        "target_id": "business_concept:124"
      }
    ],
    "nodes": [
      {
        "id": "business_concept:123",
        "name": "Customer",
        "resource_id": 123,
        "resource_type": "business_concept",
        "version_id": 456
      },
      {
        "id": "business_concept:124",
        "name": "Order",
        "resource_id": 124,
        "resource_type": "business_concept",
        "version_id": 457
      }
    ]
  }
}

Last updated